package com.tykj.dev.device.task.service;


import com.tykj.dev.device.task.subject.bto.TaskLogBto;
import com.tykj.dev.device.task.subject.vo.TaskLogUserVo;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface TaskLogService {
    /**
     * @param taskLogBto 日志bto
     * @return 添加日志接口
     */
    TaskLogBto addLog(TaskLogBto taskLogBto);

    TaskLogBto getOne(Integer id);

    /**
     * @param taskId 业务id
     * 获取业务日志
     */
    List<TaskLogUserVo> getByTaskId(Integer taskId);
}
